diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-aggregation-throughput-scale.cc ns-3.42/src/lte/test/lte-test-aggregation-throughput-scale.cc
--- ns-3.41/src/lte/test/lte-test-aggregation-throughput-scale.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-aggregation-throughput-scale.cc	2024-05-29 15:29:47.124073500 -0700
@@ -48,10 +48,10 @@
 NS_LOG_COMPONENT_DEFINE("LteAggregationThroughputScaleTest");
 
 LteAggregationThroughputScaleTestSuite::LteAggregationThroughputScaleTestSuite()
-    : TestSuite("lte-aggregation-throughput-scale", SYSTEM)
+    : TestSuite("lte-aggregation-throughput-scale", Type::SYSTEM)
 {
     AddTestCase(new LteAggregationThroughputScaleTestCase("Carrier aggregation throughput scale"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-carrier-aggregation.cc ns-3.42/src/lte/test/lte-test-carrier-aggregation.cc
--- ns-3.41/src/lte/test/lte-test-carrier-aggregation.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-carrier-aggregation.cc	2024-05-29 15:29:47.124073500 -0700
@@ -80,7 +80,7 @@
 }
 
 TestCarrierAggregationSuite::TestCarrierAggregationSuite()
-    : TestSuite("lte-carrier-aggregation", SYSTEM)
+    : TestSuite("lte-carrier-aggregation", Type::SYSTEM)
 {
     NS_LOG_INFO("creating CarrierAggregationTestCase");
 
@@ -116,142 +116,214 @@
             return;
         }
 
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 1), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 1), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 1), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 1), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 1), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 1), TestCase::QUICK);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 2), TestCase::QUICK);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 3), TestCase::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 1), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 1), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 1), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 1), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 1), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 1), TestCase::Duration::QUICK);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 2), TestCase::Duration::QUICK);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 100, 100, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 100, 100, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 100, 100, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 100, 100, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 100, 100, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 100, 100, 3), TestCase::Duration::QUICK);
     }
     else
     {
         // bandwidth is 25 and there are 2 carriers
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 25, 25, 2), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 4800, 25, 25, 2), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 4800, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 4800, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 4800, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 4800, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 4800, 25, 25, 2), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 6000, 25, 25, 2), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 20000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 20000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 20000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 20000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 20000, 25, 25, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 20000, 25, 25, 2), TestCase::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 25, 25, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 25, 25, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 25, 25, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 25, 25, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 4800, 25, 25, 2), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 4800, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 4800, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 4800, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 4800, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 4800, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 6000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 20000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 20000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 20000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 20000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 20000, 25, 25, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 20000, 25, 25, 2),
+                    TestCase::Duration::QUICK);
 
         // bandwidth is 25 and there are 3 carriers
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 25, 25, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 25, 25, 3), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 4800, 25, 25, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 4800, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 4800, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 4800, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 4800, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 4800, 25, 25, 3), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 6000, 25, 25, 3), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 20000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 20000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 20000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 20000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 20000, 25, 25, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 20000, 25, 25, 3), TestCase::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 25, 25, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 25, 25, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 25, 25, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 25, 25, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 4800, 25, 25, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 4800, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 4800, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 4800, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 4800, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 4800, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 6000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 20000, 25, 25, 3),
+                    TestCase::Duration::EXTENSIVE);
 
         // bandwidth = 6 RB and there are 3 carriers
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 6, 6, 3), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 4800, 6, 6, 3), TestCase::QUICK);
-        AddTestCase(new CarrierAggregationTestCase(3, 4800, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 4800, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 4800, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 4800, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 4800, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(1, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 6000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(1, 20000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 20000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 20000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 20000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 20000, 6, 6, 3), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 20000, 6, 6, 3), TestCase::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 6, 6, 3), TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 4800, 6, 6, 3), TestCase::Duration::QUICK);
+        AddTestCase(new CarrierAggregationTestCase(3, 4800, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 4800, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 4800, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 4800, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 4800, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(1, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 6000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(1, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 20000, 6, 6, 3),
+                    TestCase::Duration::EXTENSIVE);
 
         // bandwidth = 6 RB and there are 2 carriers
-        AddTestCase(new CarrierAggregationTestCase(1, 0, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 0, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 0, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 0, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 0, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 0, 6, 6, 2), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 4800, 6, 6, 2), TestCase::EXTENSIVE);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 6000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 6000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 6000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 6000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 6000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 6000, 6, 6, 2), TestCase::QUICK);
-
-        AddTestCase(new CarrierAggregationTestCase(1, 20000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(3, 20000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(6, 20000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(9, 20000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(12, 20000, 6, 6, 2), TestCase::EXTENSIVE);
-        AddTestCase(new CarrierAggregationTestCase(15, 20000, 6, 6, 2), TestCase::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(1, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 0, 6, 6, 2), TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 4800, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 6000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 6000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 6000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 6000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 6000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 6000, 6, 6, 2), TestCase::Duration::QUICK);
+
+        AddTestCase(new CarrierAggregationTestCase(1, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(3, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(6, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(9, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(12, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
+        AddTestCase(new CarrierAggregationTestCase(15, 20000, 6, 6, 2),
+                    TestCase::Duration::EXTENSIVE);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-carrier-aggregation-configuration.cc ns-3.42/src/lte/test/lte-test-carrier-aggregation-configuration.cc
--- ns-3.41/src/lte/test/lte-test-carrier-aggregation-configuration.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-carrier-aggregation-configuration.cc	2024-05-29 15:29:47.124073500 -0700
@@ -397,7 +397,7 @@
 };
 
 CarrierAggregationConfigTestSuite::CarrierAggregationConfigTestSuite()
-    : TestSuite("lte-carrier-aggregation-configuration", SYSTEM)
+    : TestSuite("lte-carrier-aggregation-configuration", Type::SYSTEM)
 {
     std::vector<ConfigToCheck> configToCheck;
 
@@ -419,7 +419,7 @@
                                                      numberOfComponentCarriers,
                                                      configToCheck,
                                                      simulationDuration),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     //   configToCheck.erase(configToCheck.begin(), configToCheck.end());
     configToCheck.clear();
@@ -446,7 +446,7 @@
                                                      numberOfComponentCarriers,
                                                      configToCheck,
                                                      simulationDuration),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-carrier-aggregation.h ns-3.42/src/lte/test/lte-test-carrier-aggregation.h
--- ns-3.41/src/lte/test/lte-test-carrier-aggregation.h	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-carrier-aggregation.h	2024-05-29 15:29:47.124073500 -0700
@@ -71,7 +71,7 @@
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
     /**
-     * UL Scheduling function that is used in this test as callback function of UL sceduling trace
+     * UL Scheduling function that is used in this test as callback function of UL scheduling trace
      * \param frameNo the frame number
      * \param subframeNo the subframe number
      * \param rnti the RNTI
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-cell-selection.cc ns-3.42/src/lte/test/lte-test-cell-selection.cc
--- ns-3.41/src/lte/test/lte-test-cell-selection.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-cell-selection.cc	2024-05-29 15:29:47.124073500 -0700
@@ -60,7 +60,7 @@
  */
 
 LteCellSelectionTestSuite::LteCellSelectionTestSuite()
-    : TestSuite("lte-cell-selection", SYSTEM)
+    : TestSuite("lte-cell-selection", Type::SYSTEM)
 {
     std::vector<LteCellSelectionTestCase::UeSetup_t> w;
 
@@ -77,7 +77,7 @@
     };
 
     AddTestCase(new LteCellSelectionTestCase("EPC, real RRC", true, false, 60.0 /* isd */, w),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // IDEAL RRC PROTOCOL
 
@@ -92,7 +92,7 @@
     };
 
     AddTestCase(new LteCellSelectionTestCase("EPC, ideal RRC", true, true, 60.0 /* isd */, w),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
 } // end of LteCellSelectionTestSuite::LteCellSelectionTestSuite ()
 
